Manual:$wgTidyInternal

From MediaWiki.org
Jump to navigation Jump to search

Other languages:
English • ‎español • ‎polski • ‎中文 • ‎日本語
Tidy: $wgTidyInternal
Controls the use of the tidy extension to use an in-process tidy library instead of spawning a separate program.
Introduced in version:1.4.2
Deprecated in version:1.26.0 (Gerrit change 235401; git #2c6c954e)
Removed in version:1.33.0
Allowed values:(boolean)
Default value:extension_loaded( 'tidy' )

Details[edit]

Normally you shouldn't need to override the setting except for debugging.

Tidy 2.0 is bundled with PHP5 by default (MediaWiki requires PHP5), but is not included in the ubuntu build of PHP5. To install it on Ubuntu 10.04 / PHP 5.2.x:

sudo apt-get install -y php5-dev libtidy-dev
svn co http://svn.php.net/repository/php/php- src/branches/PHP_5_2/ext/tidy/
cd tidy/
phpize
./configure
make
sudo make install
cd ../
rm -rf tidy/

Add extension=tidy.so to php.ini ; set $wgUseTidy = true; in LocalSettings.php ; finally, restart apache.